hadoop-yarn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Loughran <ste...@hortonworks.com>
Subject Re: Hadoop 3.x: what about shipping trunk as a 2.x release in 2015?
Date Wed, 11 Mar 2015 00:03:15 GMT


On 10/03/2015 13:39, "Allen Wittenauer" <aw@altiscale.com> wrote:

>	"Currently, there is NO policy on when Hadoop's dependencies can change.²

I seem to recall that was one of mine


>
>	But it is heavily implied that this is a bad thing to do:

Everybody hates us. More specifically, bumping up guava is more traumatic
than Java 6-> 7, as we're reasonably confident that JDK7 is a proper
superset of JDK6, whereas we know that doesn't hold for Guava 11->15.

Better compatibility policy: "we regret having Guava on our classpath"


Mime
View raw message